Bug 1025913 - clusterssh segfaults when no fonts are installed
Summary: clusterssh segfaults when no fonts are installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clusterssh
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-01 23:18 UTC by Ajay Sharma
Modified: 2016-06-18 19:01 UTC (History)
4 users (show)

Fixed In Version: clusterssh-4.07-1.fc22 clusterssh-4.07-1.fc23 clusterssh-4.07-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 01:21:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Ajay Sharma 2013-11-01 23:18:57 UTC
Description of problem:

Running cssh will segfault if no fonts are installed.

How reproducible:

install a minimal RHEL box with no X (or fonts)
install clusterssh
try to cssh to a box and it will immediately segfault

Additional info:

This packaging bug has existed for several years:

https://bugzilla.redhat.com/show_bug.cgi?id=593954

And the solution works today.  I ran 'yum install xorg-x11-fonts\*' and now cssh works like a champ.  Please update the package so that it depends on some fonts.

Comment 1 Mark Chappell 2014-09-17 11:52:03 UTC
SFAIK there's no generic way to do this...

Comment 2 Jaroslav Reznik 2015-03-03 15:10:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora Update System 2016-05-16 22:33:15 UTC
clusterssh-4.07-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c99d24a996

Comment 4 Fedora Update System 2016-05-16 22:33:23 UTC
clusterssh-4.07-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca7e2366c

Comment 5 Fedora Update System 2016-05-16 22:33:27 UTC
clusterssh-4.07-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8c4857e56

Comment 6 Fedora Update System 2016-05-17 22:00:37 UTC
clusterssh-4.07-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca7e2366c

Comment 7 Fedora Update System 2016-05-17 22:00:45 UTC
clusterssh-4.07-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8c4857e56

Comment 8 Fedora Update System 2016-05-17 22:00:48 UTC
clusterssh-4.07-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c99d24a996

Comment 9 Fedora Update System 2016-06-07 01:21:04 UTC
clusterssh-4.07-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-06-07 01:25:18 UTC
clusterssh-4.07-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-18 19:01:05 UTC
clusterssh-4.07-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.